<template>
  <div class="login-container">
   <p>
        Term & Condtion
   </p>
  </div>
</template>

<script>


import { mapActions, mapGetters } from 'vuex'
import * as pub from '@/api/public'
import * as log from '@/api/login'
export default {

  name: 'termCondition',
  data() {


    return {
      loginForm: {
        name: '', //admin
        password: '', //111111
        mobile: '',
        code: '',
      },
      loginRules: {
        name: [{ required: true, trigger: 'blur', message: '请输入账号' }],
        password: [{ required: true, trigger: 'blur', message: '请输入密码' }]
      },
      pwdType: 'password',
      loading: false,
      showDialog: false,

      get_loading: false,
      showDialog: false,

      sendNum: 0,
      time: null,
    }
  },
  methods: {
    ...mapActions(['setRouterList', 'setViewTagList', 'GenerateRoutes']),
    showPwd() {
      if (this.pwdType === 'password') {
        this.pwdType = ''
      } else {
        this.pwdType = 'password'
      }
    },
    handleLogin() {
      this.$refs.loginForm.validate(valid => {
        if (valid) {
          this.loading = true
          log.login(this.loginForm).then(res => {
            sessionStorage.token = res.data.token
            sessionStorage.expire = res.data.expire + '000'  //PHP时间戳到秒 自己加3个0
            let info = res.data.info || {}
            sessionStorage.userInfo = JSON.stringify(info)
            pub.getMenuList().then(res => {
              this.GenerateRoutes(res).then(data => {
                this.setViewTagList([]) //清空
                this.setRouterList(data).then(() => {
                  this.$router.addRoutes(data) //路由重载 
                  log.data_dictionary().then(res => {
                    sessionStorage.baseData = JSON.stringify(res.data);

                    this.$router.push('index')


                    this.loading = false
                  })

                })
              })
            }).catch(() => {

            })
          }).catch(() => {
            this.loading = false
          })
        } else {
          console.log('error submit!!')
          return false
        }
      })
    },
    sendCodnTime() {
      this.time && clearInterval(this.time)
      this.sendNum = 60
      this.time = setInterval(() => {
        this.sendNum = this.sendNum - 1
        if (this.sendNum <= 0) {
          this.sendNum = 0
          clearInterval(this.time)

        }
      }, 1000)
    },
    handleRegisterSeller () {
      this.$router.push({name: 'sellerRegister'})
    },
  },
  computed: {

  }

}
</script>

<style rel="stylesheet/scss" lang="scss">
.c {
  color: #889aa4;
}
@import "../../assets/scss/mixin.scss";
$bg: #2d3a4b;
$dark_gray: #889aa4;
$light_gray: #eee;

.login-container {
  @include relative;
  height: 100vh;
  background-color: $bg;
  input:-webkit-autofill {
    -webkit-box-shadow: 0 0 0px 1000px #293444 inset !important;
    -webkit-text-fill-color: #fff !important;
  }
  input {
    background: transparent;
    border: 0px;
    -webkit-appearance: none;
    border-radius: 0px;
    padding: 12px 5px 12px 15px;
    color: $light_gray;
    height: 47px;
  }
  .el-input {
    display: inline-block;
    height: 47px;
    width: 85%;
  }
  .tips {
    font-size: 14px;
    color: #fff;
    margin-bottom: 10px;
  }
  .svg-container {
    padding: 6px 5px 6px 15px;
    color: $dark_gray;
    vertical-align: middle;
    width: 30px;
    display: inline-block;
    &_login {
      font-size: 20px;
    }
  }
  .title {
    font-size: 26px;
    font-weight: 400;
    color: $light_gray;
    margin: 0px auto 40px auto;
    text-align: center;
    font-weight: bold;
  }
  .login-form {
    position: absolute;
    left: 0;
    right: 0;
    width: 400px;
    padding: 35px 35px 15px 35px;
    margin: 200px auto;
  }
  .el-form-item {
    border: 1px solid rgba(255, 255, 255, 0.1);
    background: rgba(0, 0, 0, 0.1);
    border-radius: 5px;
    color: #454545;
  }
  .show-pwd {
    position: absolute;
    right: 10px;
    top: 7px;
    font-size: 16px;
    color: $dark_gray;
    cursor: pointer;
    user-select: none;
  }
  .thirdparty-button {
    position: absolute;
    right: 35px;
    bottom: 28px;
  }
}
</style>
